;
; The names for city tiles are not free and must follow the following rules.
; The names consists of style name, _ , size. The style name is as specified
; in cities.ruleset file. The size indicates which size city must
; have to be drawn with a tile. E.g. european_4 means that the tile is to be
; used for cities of size 4+ in european style. Obviously the first tile
; must be style_name_0. The sizes must be in ascending order.
; There must also be a style_name_wall tile used to draw the wall and
; an occupied tile to indicate a miltary units in a city.
; The maximum size supported now is 31, but there can only be MAX_CITY_TILES
; normal tiles. The constant is defined in common/city.h and set to 8 now.
;

[spec]

; Format and options of this spec file:
options = "+spec3"

[info]

artists = "
    Tim F. Smith <yoohootim@hotmail.com>
    Frederic Rodrigo <f.rodrigo@tuxfamily.org>
    Franz Mach <franzmach@yahoo.de> (babylonian)
"

[file]
gfx = "new-hires/cities"

[grid_main]

x_top_left = 1
y_top_left = 1
dx = 64
dy = 48
is_pixel_border = 1

tiles = { "row", "column", "tag"

; default tiles

  3,  0, "cd.city"
  3,  4, "cd.city_wall"
;  1,  4, "cd.occupied"

;
; city tiles
;

 0,  0, "city.precolumbian_0"
 0,  1, "city.precolumbian_4"
 0,  2, "city.precolumbian_8"
 0,  3, "city.precolumbian_12"
 0,  4, "city.precolumbian_16"
 0,  5, "city.precolumbian_0_wall"
 0,  6, "city.precolumbian_4_wall"
 0,  7, "city.precolumbian_8_wall"
 0,  8, "city.precolumbian_12_wall"
 0,  9, "city.precolumbian_16_wall"

 1,  0, "city.classical_0"
 1,  1, "city.classical_4"
 1,  2, "city.classical_8"
 1,  3, "city.classical_12"
 1,  4, "city.classical_16"
 1,  5, "city.classical_0_wall"
 1,  6, "city.classical_4_wall"
 1,  7, "city.classical_8_wall"
 1,  8, "city.classical_12_wall"
 1,  9, "city.classical_16_wall"

 2,  0, "city.asian_0"
 2,  1, "city.asian_4"
 2,  2, "city.asian_8"
 2,  3, "city.asian_12"
 2,  4, "city.asian_16"
 2,  5, "city.asian_0_wall"
 2,  6, "city.asian_4_wall"
 2,  7, "city.asian_8_wall"
 2,  8, "city.asian_12_wall"
 2,  9, "city.asian_16_wall"

 3,  0, "city.european_0"
 3,  1, "city.european_4"
 3,  2, "city.european_8"
 3,  3, "city.european_12"
 3,  4, "city.european_16"
 3,  5, "city.european_0_wall"
 3,  6, "city.european_4_wall"
 3,  7, "city.european_8_wall"
 3,  8, "city.european_12_wall"
 3,  9, "city.european_16_wall"

 4,  0, "city.arabian_0"
 4,  1, "city.arabian_4"
 4,  2, "city.arabian_8"
 4,  3, "city.arabian_12"
 4,  4, "city.arabian_16"
 4,  5, "city.arabian_0_wall"
 4,  6, "city.arabian_4_wall"
 4,  7, "city.arabian_8_wall"
 4,  8, "city.arabian_12_wall"
 4,  9, "city.arabian_16_wall"

 5,  0, "city.tropical_0"
 5,  1, "city.tropical_4"
 5,  2, "city.tropical_8"
 5,  3, "city.tropical_12"
 5,  4, "city.tropical_16"
 5,  5, "city.tropical_0_wall"
 5,  6, "city.tropical_4_wall"
 5,  7, "city.tropical_8_wall"
 5,  8, "city.tropical_12_wall"
 5,  9, "city.tropical_16_wall"

 6,  0, "city.babylonian_0"
 6,  1, "city.babylonian_4"
 6,  2, "city.babylonian_8"
 6,  3, "city.babylonian_12"
 6,  4, "city.babylonian_16"
 6,  5, "city.babylonian_0_wall"
 6,  6, "city.babylonian_4_wall"
 6,  7, "city.babylonian_8_wall"
 6,  8, "city.babylonian_12_wall"
 6,  9, "city.babylonian_16_wall"

 7,  0, "city.barbarian_0"
 7,  5, "city.barbarian_0_wall"

 8,  0, "city.industrial_0"
 8,  1, "city.industrial_4"
 8,  2, "city.industrial_8"
 8,  3, "city.industrial_12"
 8,  4, "city.industrial_16"
 8,  5, "city.industrial_0_wall"
 8,  6, "city.industrial_4_wall"
 8,  7, "city.industrial_8_wall"
 8,  8, "city.industrial_12_wall"
 8,  9, "city.industrial_16_wall"

 9,  0, "city.modern_0"
 9,  1, "city.modern_4"
 9,  2, "city.modern_8"
 9,  3, "city.modern_12"
 9,  4, "city.modern_16"
 9,  5, "city.modern_0_wall"
 9,  6, "city.modern_4_wall"
 9,  7, "city.modern_8_wall"
 9,  8, "city.modern_12_wall"
 9,  9, "city.modern_16_wall"

10,  0, "city.postmodern_0"
10,  1, "city.postmodern_4"
10,  2, "city.postmodern_8"
10,  3, "city.postmodern_12"
10,  4, "city.postmodern_16"
10,  5, "city.postmodern_0_wall"
10,  6, "city.postmodern_4_wall"
10,  7, "city.postmodern_8_wall"
10,  8, "city.postmodern_12_wall"
10,  9, "city.postmodern_16_wall"

11,  0, "tx.fortress"
11,  1, "tx.fortress_back"
11,  2, "tx.airbase"
11,  3, "tx.airbase_full"
}

[grid_disorder]

x_top_left = 261
y_top_left = 540
dx = 32
dy = 32
is_pixel_border = 1

tiles = { "row", "column", "tag"
  0,  0, "city.disorder"
}

[grid_flags]

x_top_left = 294
y_top_left = 540
dx = 14
dy = 22
is_pixel_border = 1

tiles = { "row", "column", "tag"

 0, 0, "cd.occupied",
       "city.precolumbian_occupied",
       "city.classical_occupied",
       "city.asian_occupied",
       "city.european_occupied",
       "city.arabian_occupied",
       "city.tropical_occupied",
       "city.babylonian_occupied",
       "city.barbarian_occupied",
       "city.industrial_occupied",
       "city.modern_occupied",
       "city.postmodern_occupied"
}
